Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/arp-scan: new aport

From: Antoine Tenart <antoine.tenart_at_ack.tf>
Date: Wed, 18 May 2016 22:07:01 +0200

https://github.com/royhills/arp-scan
The ARP scanner.

Signed-off-by: Antoine Tenart <antoine.tenart_at_ack.tf>
---
 testing/arp-scan/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/arp-scan/APKBUILD
diff --git a/testing/arp-scan/APKBUILD b/testing/arp-scan/APKBUILD
new file mode 100644
index 000000000000..0216489d1b96
--- /dev/null
+++ b/testing/arp-scan/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Antoine Tenart <antoine.tenart_at_ack.tf>
+# Maintainer: Antoine Tenart <antoine.tenart_at_ack.tf>
+pkgname=arp-scan
+pkgver=1.9
+pkgrel=0
+pkgdesc="The ARP scanner"
+url="https://github.com/royhills/arp-scan"
+arch="all"
+license="GPLv3"
+depends=""
+makedepends="libpcap-dev autoconf automake libtool"
+install=""
+subpackages="${pkgname}-doc"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/royhills/arp-scan/archive/${pkgver}.tar.gz"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+
+prepare() {
+	cd "${_builddir}"
+	autoreconf --install
+}
+
+build() {
+	cd "${_builddir}"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "${_builddir}"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="38cee90a5af3e4ac96a853467ec1c769  arp-scan-1.9.tar.gz"
+sha256sums="b2a446a170e4a2feeb825cd08db48a147f8dffae702077f33e456c4200e7afb0  arp-scan-1.9.tar.gz"
+sha512sums="75b8b5dc0d74434fbe0ee7fd93af75d2f2bd0ef680d3dc035e0dc59e5df07e51728d05419ffd016fd4238e1699ae97ad6e1e745f1c525b80094958d9487ce45d  arp-scan-1.9.tar.gz"
-- 
2.8.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed May 18 2016 - 22:07:01 GMT